# classes/phing/tasks/ext/phpdoc/PhingPhpDocumentorErrorTracker.php

## \PhingPhpDocumentorErrorTracker
jump to top

Phing subclass of the ErrorTracker class provided with PhpDocumentor to work around limitations in PhpDocumentor API.

This class is necessary because PhpDocumentor does directly output errors and warnings occured during testing for undocumented elements to stdout. This class is injected globally to force PhpDocumentor to use phing's logging mechanism.

Obviously this is far from ideal, but there's also no solution given the inflexibility of the PhpDocumentor design.

Extends from
  \ErrorTracker
author
  Timo A. Hummel <privat@timohummel.com> @author felicitus
package
  phing.tasks.ext.phpdoc
version
  $Id: PhingPhpDocumentorErrorTracker.php 1108 2011-05-23 15:01:31Z mrook $

### Properties

`$task= ''`
Details

Type

### Methods

`addError( \$num $num ) : \nothing`
Outputs an error. This is an almost 1:1 copy from PhpDocumentor, we're just processing the error text and send it to phing's logger.
Parameters

Name | Type | Description
--- | --- | ---
$num | \$num | integer Number of parameters

Returns

Type | Description
--- | ---
\nothing |

`addWarning( \$num $num ) : \nothing`
Outputs a warning. This is an almost 1:1 copy from PhpDocumentor, we're just processing the warning text and send it to phing's logger.
Parameters

Name | Type | Description
--- | --- | ---
$num | \$num | integer Number of parameters

Returns

Type | Description
--- | ---
\nothing |

`setTask( object $task ) : \nothing`
Sets the task we're working with. This is necessary since we need to be able to call the method "log".
Parameters

Name | Type | Description
--- | --- | ---
$task | object | The task we're working with

Returns

Type | Description
--- | ---
\nothing |

Documentation was generated by DocBlox 0.13.1.